com.amazonaws.services.codedeploy.model

## Enum BundleType

- java.lang.Object
- - java.lang.Enum<BundleType>
  - - com.amazonaws.services.codedeploy.model.BundleType

All Implemented Interfaces:
  Serializable, Comparable<BundleType>

    public enum BundleType
    extends Enum<BundleType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Tar`
`Tgz`
`Zip`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BundleType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static BundleType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BundleType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Tar

    public static final BundleType Tar

#### Tgz

    public static final BundleType Tgz

#### Zip

    public static final BundleType Zip

### Method Detail

#### values

    public static BundleType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BundleType c : BundleType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BundleType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<BundleType>`

#### fromValue

    public static BundleType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  BundleType corresponding to the value